<form name="form" novalidate ng-submit="!(check()||form.$invalid||form.originalAmount.$error.pattern||form.amountUsed.$error.pattern) && save()">


<div id="top_of_dialog">
	<strong>Nuovo Anticipo</strong>
</div>

<div style="margin-top: 15px" >
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Parametri di selezione</th>
			</tr>
		</thead>
		<tbody>
			<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span>CLIENTE
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="dsp" id="dsp" ng-model="selectedClient" ng-options="item.companyName for item in anagClientData[0]" required>
								</select>
							</span>
						</div>
					</td>
				</tr>
			<tr>
				<td class="fieldLabel medium">
			  		<label class="muted pull-right marginRight10px"> 
			  			<span class="redColor" ng-show="form.process.$invalid">*</span>INIZIO
								PERIODO DI VALIDITA'
					</label>
				</td>
					<td class="fieldValue medium" nowrap>
					<input type="text"
						class="span9 input-small datepickerFrom" style="width: 180px"
						ng-model="selectedPeriodFrom" required>
						 <script
							type="text/javascript">
									    $(".datepickerFrom").datepicker({
									    	format: 'mm-yyyy', 
									    	language: 'it',
									    	viewMode: "months",
										minViewMode: "months",
									    	autoclose: true,
									    	todayHighlight: true
									    });
									</script> <span class="glyphicon glyphicon-erase"
						style="margin-top: 6px;" ng-click="selectedPeriodFrom=undefined;"></span>
					</td>
				
			</tr>
			<tr>
				 <td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>FINE
							PERIODO DI VALIDITA'
					</label></td>
					<td class="fieldLabel medium">
						<input type="text"
							class="span9 input-small datepickerTo2" style="width: 180px"
							ng-model="selectedPeriodTo" required> 
							<script
								type="text/javascript">
										    $(".datepickerTo2").datepicker({
										    	format: 'mm-yyyy', 
										    	language: 'it',
										    	viewMode: "months",
												minViewMode: "months",
										    	autoclose: true,
										    	todayHighlight: true
										    });
							</script> 
							<span class="glyphicon glyphicon-erase" style="margin-top: 6px;" ng-click="selectedPeriodTo=undefined;"></span>

					</td>
				
			</tr>

			<tr>
				<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>NUMERO FATTURA
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<input name="invoiceNumber"
										class="input-large  ng-pristine ng-valid ng-empty ng-touched"
										type="text" min="2" ng-model="invoiceNumber" id="invoiceNumber" required>
								</div>
							</span>
						</div>
					</td>
			</tr>
			<tr>
			<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>IMPORTO ORIGINALE
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<input name="originalAmount"
										class="input-large  ng-pristine ng-valid ng-empty ng-touched"
										type="text" min="2" ng-model="originalAmount" required  ng-pattern="/^(\d+(?:[\.\,]\d{1,2})?)$/">
								</div>
							</span>
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span>IMPORTO UTILIZZABILE
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<input name="amountUsed"
										class="input-large  ng-pristine ng-valid ng-empty ng-touched"
										type="text" min="2" ng-model="amountUsed" required  ng-pattern="/^(\d+(?:[\.\,]\d{1,2})?)$/">
								</div>
							</span>
						</div>
					</td>
			</tr>
		</tbody>
	</table>
</div>
<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		
		<td align="right">
			<span class="redColor" ng-show="check()">
				Importo utilizzabile maggiore di quello originale
			</span>
			<button ng-disabled="check()||form.$invalid||form.originalAmount.$error.pattern||form.amountUsed.$error.pattern" class="btn addButton">
				<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

    <script type="text/ng-template" id="errorDialogId">

        <div id="target"  >
          <strong>{{ngDialogData}}</strong>
        </div>
    </script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
